Busca os últimos registros de ponto de um colaborador
curl --request GET \
--url https://api.example.com/registro-ponto/ultimosconst options = {method: 'GET'};
fetch('https://api.example.com/registro-ponto/ultimos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/registro-ponto/ultimos"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/registro-ponto/ultimos"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"pagina": 0,
"limite": 10,
"total": 3,
"unidades": [
{
"dataHora": "2024-05-02T07:22:43.230Z",
"nome": "Nelson da Silva",
"cpf": "15217510056",
"tipo": "PHOTO_SIMPLE",
"endereco": "Avenida Afonso Pena, 237, Belo Horizonte, MG",
"NSR": "2307",
"hashCode": "c0fc3c713f09a43384ac08f7d91fca430dcbc6466fff9284ce4571bdc2",
"criadoEm": "2024-05-02T07:22:43.230Z",
"tipoOrigem": "01",
"online": true,
"tipoRegistroBatida": "ENTRADA",
"tipoAmbiente": "INDIVIDUAL",
"fusoHorario": "SAO_PAULO",
"colaboradorId": "123-abc",
"inconsistencias": [
"ENDERECO_IP_AUSENTE_OU_NAO_CADASTRADO"
]
},
{
"dataHora": "2024-05-02T12:22:43.230Z",
"nome": "Nelson da Silva",
"cpf": "15217510056",
"tipo": "PIN",
"endereco": "Avenida Afonso Pena, 237, Belo Horizonte, MG",
"NSR": "2308",
"hashCode": "c0fc3c713f09a43365tyhj46yt4kjytty8j4gf45h8gf4h",
"criadoEm": "2024-05-02T12:22:43.230Z",
"tipoOrigem": "01",
"online": true,
"tipoRegistroBatida": "SAIDA",
"tipoAmbiente": "COLETIVO",
"fusoHorario": "SAO_PAULO",
"colaboradorId": "123-abc",
"coletorId": "123-abc",
"inconsistencias": []
}
]
}
Registro de Ponto
Busca os últimos registros de ponto de um colaborador
GET
/
registro-ponto
/
ultimos
Busca os últimos registros de ponto de um colaborador
Query Parameters
Página a ser buscada
Example:
1
Limite de registros por página
Example:
10
ID do colaborador
Example:
"123-456abc"